KIO::StatJob Class Reference

`#include <jobclasses.h>`

Inheritance diagram for KIO::StatJob:

## Signals

void | redirection (KIO::Job *job, const KURL &url)
void | permanentRedirection (KIO::Job *job, const KURL &fromUrl, const KURL &toUrl)
Signals inherited from KIO::Job
void | result (KIO::Job *job)
void | canceled (KIO::Job *job)
void | infoMessage (KIO::Job *job, const QString &msg)
void | warning (KIO::Job *job, const QString &msg)
void | connected (KIO::Job *job)
void | percent (KIO::Job *job, unsigned long percent)
void | totalSize (KIO::Job *job, KIO::filesize_t size)
void | processedSize (KIO::Job *job, KIO::filesize_t size)
void | speed (KIO::Job *job, unsigned long speed)

## Public Member Functions

| StatJob (const KURL &url, int command, const QByteArray &packedArgs, bool showProgressInfo)
void | setSide (bool source)
void | setDetails (short int details)
const UDSEntry & | statResult () const
virtual void | start (Slave *slave)
Public Member Functions inherited from KIO::SimpleJob
| SimpleJob (const KURL &url, int command, const QByteArray &packedArgs, bool showProgressInfo)
const KURL & | url () const
virtual void | kill (bool quietly=true)
virtual void | putOnHold ()
void | slaveDone ()
Slave * | slave () const
int | command () const
Public Member Functions inherited from KIO::Job
int | error () const
int | progressId () const
const QString & | errorText () const
QString | errorString () const
QStringList | detailedErrorStrings (const KURL *reqUrl=0L, int method=-1) const
void | showErrorDialog (QWidget *parent=0L)
void | setAutoErrorHandlingEnabled (bool enable, QWidget *parentWidget=0)
bool | isAutoErrorHandlingEnabled () const
void | setAutoWarningHandlingEnabled (bool enable)
bool | isAutoWarningHandlingEnabled () const
void | setInteractive (bool enable)
bool | isInteractive () const
void | setWindow (QWidget *window)
QWidget * | window () const
void | updateUserTimestamp (unsigned long time)
void | setParentJob (Job *parentJob)
Job * | parentJob () const
void | setMetaData (const KIO::MetaData &metaData)
void | addMetaData (const QString &key, const QString &value)
void | addMetaData (const QMap< QString, QString > &values)
void | mergeMetaData (const QMap< QString, QString > &values)
MetaData | outgoingMetaData () const
MetaData | metaData () const
QString | queryMetaData (const QString &key)
KIO::filesize_t | getProcessedSize ()

## Protected Slots

void | slotStatEntry (const KIO::UDSEntry &entry)
void | slotRedirection (const KURL &url)
virtual void | slotFinished ()
virtual void | slotMetaData (const KIO::MetaData &_metaData)
Protected Slots inherited from KIO::SimpleJob
virtual void | slotFinished ()
void | slotWarning (const QString &)
void | slotInfoMessage (const QString &s)
void | slotConnected ()
void | slotProcessedSize (KIO::filesize_t data_size)
void | slotSpeed (unsigned long speed)
virtual void | slotMetaData (const KIO::MetaData &_metaData)
void | slotNeedProgressId ()
Protected Slots inherited from KIO::Job
virtual void | slotResult (KIO::Job *job)
void | slotSpeed (KIO::Job *job, unsigned long speed)
void | slotInfoMessage (KIO::Job *job, const QString &msg)
void | slotSpeedTimeout ()

## Protected Member Functions

virtual void | virtual_hook (int id, void *data)
Protected Member Functions inherited from KIO::SimpleJob
void | storeSSLSessionFromJob (const KURL &m_redirectionURL)
Protected Member Functions inherited from KIO::Job
| Job (bool showProgressInfo)
virtual void | addSubjob (Job *job, bool inheritMetaData=true)
virtual void | removeSubjob (Job *job)
void | removeSubjob (Job *job, bool mergeMetaData, bool emitResultIfLast)
void | emitPercent (KIO::filesize_t processedSize, KIO::filesize_t totalSize)
void | emitSpeed (unsigned long speed)
void | emitResult ()
void | setProcessedSize (KIO::filesize_t size)
unsigned long | userTimestamp () const
int & | extraFlags ()

## Protected Attributes

UDSEntry | m_statResult
KURL | m_redirectionURL
bool | m_bSource
short int | m_details
Protected Attributes inherited from KIO::SimpleJob
Slave * | m_slave
QByteArray | m_packedArgs
KURL | m_url
KURL | m_subUrl
int | m_command
KIO::filesize_t | m_totalSize
Protected Attributes inherited from KIO::Job
QPtrList< Job > | subjobs
int | m_error
QString | m_errorText
unsigned long | m_percent
int | m_progressId
QTimer * | m_speedTimer
QGuardedPtr< QWidget > | m_window
MetaData | m_outgoingMetaData
MetaData | m_incomingMetaData

## Additional Inherited Members

Public Slots inherited from KIO::SimpleJob
void | slotTotalSize (KIO::filesize_t data_size)
virtual void | slotError (int, const QString &)
Static Public Member Functions inherited from KIO::SimpleJob
static void | removeOnHold ()
Protected Types inherited from KIO::Job
enum | { EF_TransferJobAsync = (1 << 0), EF_TransferJobNeedData = (1 << 1), EF_TransferJobDataSent = (1 << 2), EF_ListJobUnrestricted = (1 << 3) }

## Detailed Description

A KIO job that retrieves information about a file or directory.

See also
  KIO::stat()

Definition at line 688 of file jobclasses.h.

## Constructor & Destructor Documentation

StatJob::StatJob | ( | const KURL & | url,
|  | int | command,
|  | const QByteArray & | packedArgs,
|  | bool | showProgressInfo
| ) |  |

Do not use this constructor to create a StatJob, use KIO::stat() instead.

Parameters

  url | the url of the file or directory to check
  command | the command to issue
  packedArgs | the arguments
  showProgressInfo | true to show progress information to the user

Definition at line 815 of file job.cpp.

## Member Function Documentation

void KIO::StatJob::permanentRedirection | ( | KIO::Job * | job,
|  | const KURL & | fromUrl,
|  | const KURL & | toUrl
| ) |  |

signal

Signals a permanent redirection.

The redirection itself is handled internally.

Parameters

  job | the job that is redirected
  fromUrl | the original URL
  toUrl | the new URL

Since
  3.1

void KIO::StatJob::redirection | ( | KIO::Job * | job,
|  | const KURL & | url
| ) |  |

signal

Signals a redirection.

Use to update the URL shown to the user. The redirection itself is handled internally.

Parameters

  job | the job that is redirected
  url | the new url

void KIO::StatJob::setDetails | ( | short int | details | ) |

inline

Selects the level of `details` we want.

By default this is 2 (all details wanted, including modification time, size, etc.), setDetails(1) is used when deleting: we don't need all the information if it takes too much time, no need to follow symlinks etc. setDetails(0) is used for very simple probing: we'll only get the answer "it's a file or a directory, or it doesn't exist". This is used by KRun.

Parameters

  details | 2 for all details, 1 for simple, 0 for very simple

Definition at line 720 of file jobclasses.h.

void KIO::StatJob::setSide | ( | bool | source | ) |

inline

A stat() can have two meanings.

Either we want to read from this URL, or to check if we can write to it. First case is "source", second is "dest". It is necessary to know what the StatJob is for, to tune the kioslave's behavior (e.g. with FTP).

Parameters

  source | true for "source" mode, false for "dest" mode

Definition at line 709 of file jobclasses.h.

const UDSEntry& KIO::StatJob::statResult | ( |  | ) | const

inline

Call this in the slot connected to result, and only after making sure no error happened.

Returns
  the result of the stat

Definition at line 727 of file jobclasses.h.

The documentation for this class was generated from the following files:

- jobclasses.h
- job.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys